/*
 * Progetto 5 capitolo 3 del libro Savitch.
 * 
 * Scrivere un programma che permetta all'utente di convertire una temperatura
 * fornita in gradi da Celsius a Farenheit e viceversa.
 * Usare le seguenti formule:
 * gradi_Celsius = 5 (gradi_Farenheit - 32)/9
 * gradi_Farenheit = (9 (gradi_Celsius)/5)+32
 * Si chieda all'utente di scrivere una temperatura e una lettera. 
 * La lettera C o c indica che il valore  in gradi Celsius, la lettera F o f
 * in Farenheit. Si converta la temperatura in gradi Farenheit se si inseriscono
 * i Celsius e viceversa.
 * Se vengono digitate lettere diverse da C, c, F, o f, si mostri un messaggio
 * di errore e si termini il programma.
 * 
 * Variante che effettua il confronto estraendo il carattere relativo al tipo dei gradi, senza convertire a priori in maiuscolo il carattere introdotto.
 */

import java.util.*;
import java.text.*;

public class TemperaturaVariante {

	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		DecimalFormat df = new DecimalFormat("0.0");
		
		// acquisizione della temperatura
		System.out.print("Inserire la temperatura, ad es. 30,5 C o 72 F (C per gradi Celsius, F per Farenheit): ");
		double temperatura = tastiera.nextDouble();
		String gradi = tastiera.next();
		
		// conversione della temperatura
		double nuovaTemperatura;
		if(gradi.charAt(0)=='C' || gradi.charAt(0) == 'c'){
			// conversione da Celsius a Farenheit
			nuovaTemperatura = (9 * temperatura / 5) + 32;
			System.out.println("La temperatura convertita e': " + df.format(nuovaTemperatura) + " F");
		}
		else if(gradi.charAt(0)=='F' || gradi.charAt(0) == 'f'){
			// conversione da Farenheit a Celsius
			nuovaTemperatura = 5 * (temperatura - 32) / 9;
			System.out.println("La temperatura convertita e': " + df.format(nuovaTemperatura) + " C");
		} else
			System.out.println("Errore nell'introduzione della temperatura");
		
		tastiera.close();
	}

	
}
